Bug 184013 - After text-mode install, system is configured for runlevel 5, rhgb
After text-mode install, system is configured for runlevel 5, rhgb
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-03-04 19:31 EST by Alex Stewart
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-06 11:51:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alex Stewart 2006-03-04 19:31:38 EST
Description of problem:

Due to driver compatibility issues with my video card, I had to perform a text-
mode install of FC5test3.  However, after successfully installing the system, 
whenever I attempted to boot it, it would go through some of the usual startup 
and then show me a screen full of garbage.  This appears to be because it was 
configured for runlevel 5, with rhgb and the GUI post-install screen, none of 
which work on my system because the X server does not work with my card (which 
is why I was doing a text install in the first place).

As it seems reasonable to assume that if somebody has chosen a text-mode 
installation it is because for some reason or other the GUI mode installer (and 
thus presumably X) does not work on their system, it seems rather dumb to 
configure things to require a GUI mode X session on first boot.  At the very 
least the text-mode installer should ask what mode things should be configured 
for before finishing the install and rebooting.

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:
1.  Perform a text-mode install of FC5test3
2.  Reboot
Actual results:

  (on my system) a screen full of garbage

Expected results:

  A bootable Fedora Core system.

Additional info:
Comment 1 David Cantrell 2006-03-06 11:51:47 EST
Fixed in rawhide CVS.

Note You need to log in before you can comment on or make changes to this bug.